Subject: Re: linux-next: no tree for Sept 6

From: Randy Dunlap <[email-masked]>
Date: Tue, 6 Sep 2011 10:37:18 -0700

On Tue, 6 Sep 2011 13:29:23 -0400 Arnaud Lacombe wrote:

> Hi,
> 
> On Tue, Sep 6, 2011 at 1:23 PM, Josh Boyer <[email-masked]> wrote:
> > On Tue, Sep 6, 2011 at 1:17 PM, Arnaud Lacombe <[email-masked]> wrote:
> >> Hi,
> >>
> >> On Tue, Sep 6, 2011 at 2:40 AM, Stephen Rothwell <[email-masked]> wrote:
> >>> Hi all,
> >>>
> >>> With master.kernel.org down, there is not much change from yesterday and
> >>> I cannot publish the resulting linux-next tree anyway, so there is no
> >>> tree today.
> >>>
> >> What about github ? gitorious ?
> >>
> >> If you fork linus' tree on github, you should still be within the disk
> >> usage limit. My linux-2.6-next.git bare tree mirror is about 303MB.
> >
> > Well... that would be helpful if all of the trees that linux-next
> > pulls from are hosted somewhere other than kernel.org as well.  A lot
> > of them are not, which means you would get an incomplete linux-next
> > tree at best.  Probably better to just wait.
> >
> That's just insane...
> 
> git is distributed, but still used centrally. Kernel development
> should just not be impacted by such issues.

Key word is "should," but reality intervenes.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***